:root {
    interpolate-size: allow-keywords;
    /* Distance */
    --clx-container-width-max: 1200px;
    --clx-container-width: 1200px;
    --clx-indented-width: 578px;
    --clx-distance-xxsmall: 5px;
    --clx-distance-xsmall: 10px;
    --clx-distance-small: 30px;
    --clx-distance-medium: 30px;
    --clx-distance-large: 45px;
    --clx-distance-xlarge: 60px;
    --clx-distance-xxlarge: 80px;
    --clx-distance-xxxlarge: 100px;
    --clx-grid-gap: 30px;
    --clx-grid-bottom: var(--clx-grid-gap);
} 

.clx-wrapper {
    position: relative;
    display: flow-root;
    box-sizing: content-box;
    max-width: var(--clx-container-width);
    margin-left: auto;
    margin-right: auto;
    padding-left: 40px;
    padding-right: 40px;
    text-align: left;
}

section {
    position: relative;
    box-sizing: content-box;
    width: 100%;
}


.clx-section-100prozent{
    width: 100vw;
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
}

.clx-wrapper-1200 {
    max-width: 1200px;
    margin: 0 auto; 
    padding: 0 40px;
    box-sizing: border-box; 
}

/** das ganze gegridde start **/

.clx-indented {
    display: flow-root;
    box-sizing: content-box;
    width: 100%;
    max-width: var(--clx-indented-width);
    margin-left: auto;
    margin-right: auto;
}

.clx-grid {
    display: flex;
    flex-wrap: wrap;
    margin-left: calc((var(--clx-grid-gap) / 2) * -1);
    margin-right: calc((var(--clx-grid-gap) / 2) * -1);
}

.clx-flex {
    display: flex;
    gap: var(--clx-grid-gap);
}

.clx-grid-auto,
.clx-maingrid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    margin-left: calc((var(--clx-grid-gap) / 2) * -1);
    margin-right: calc((var(--clx-grid-gap) / 2) * -1);
}

.clx-grid>*,
.clx-grid-auto>* {
    box-sizing: border-box;
    padding-left: calc(var(--clx-grid-gap) / 2);
    padding-right: calc(var(--clx-grid-gap) / 2);
    padding-bottom: var(--clx-grid-bottom);
}

.clx-grid-child-reverse {
    flex-direction: row-reverse;
}

.clx-content-align-center {
    display: flex;
    align-items: center;
}
.clx-grid-gap-large {
}

.clx-grid-gap-large {
    &>div:first-child {
        padding-left: calc(var(--clx-grid-gap) / 2);
        padding-right: var(--clx-grid-gap);
    }
}
.clx-child-width-1-2 div, .clx-width-1-2, .clx-width-1-2\@m, .clx-width-1-2\@s {
    width: 50%;
}

/** das ganze gegridde ende **/


/** Ratios Start **/
.clx-child-ratio-50-50 {
    &>div {
        width: 50%;
    }
}

.clx-child-ratio-60-40 {
    &>div:first-child {
        width: 60%;
    }

    &>div:last-child {
        width: 40%;
    }

    &.clx-grid-child-reverse {
        &>div:first-child {
            width: 40%;
        }

        &>div:last-child {
            width: 60%;
        }
    }
}

.clx-child-ratio-40-60 {
    &>div:first-child {
        width: 40%;
    }

    &>div:last-child {
        width: 60%;
    }

    &.clx-grid-child-reverse {
        &>div:first-child {
            width: 60%;
        }

        &>div:last-child {
            width: 40%;
        }
    }
}

.clx-child-ratio-33-66 {
    &>div:first-child {
        width: calc(100% / 3);
    }

    &>div:last-child {
        width: calc(calc(100% / 3) * 2);
    }

    &.clx-grid-child-reverse {
        &>div:first-child {
            width: calc(calc(100% / 3) * 2);
        }

        &>div:last-child {
            width: calc(100% / 3);
        }
    }
}

.clx-child-ratio-66-33 {
    &>div:first-child {
        width: calc(calc(100% / 3) * 2);
    }

    &>div:last-child {
        width: calc(100% / 3);
    }

    &.clx-grid-child-reverse {
        &>div:first-child {
            width: calc(100% / 3);
        }

        &>div:last-child {
            width: calc(calc(100% / 3) * 2);
        }
    }
}

.clx-child-ratio-20-80 {
    &>div:first-child {
        width: 20%;
    }

    &>div:last-child {
        width: 80%;
    }

    &.clx-grid-child-reverse {
        &>div:first-child {
            width: 80%;
        }

        &>div:last-child {
            width: 20%;
        }
    }
}

.clx-child-ratio-25-75 {
    &>div:first-child {
        width: 25%;
    }

    &>div:last-child {
        width: 75%;
    }

    &.clx-grid-child-reverse {
        &>div:first-child {
            width: 75%;
        }

        &>div:last-child {
            width: 25%;
        }
    }
}

.clx-child-ratio-75-25 {
    &>div:first-child {
        width: 75%;
    }

    &>div:last-child {
        width: 25%;
    }

    &.clx-grid-child-reverse {
        &>div:first-child {
            width: 25%;
        }

        &>div:last-child {
            width: 75%;
        }
    }
}

.clx-child-ratio-80-20 {
    &>div:first-child {
        width: 80%;
    }

    &>div:last-child {
        width: 20%;
    }

    &.clx-grid-child-reverse {
        &>div:first-child {
            width: 20%;
        }

        &>div:last-child {
            width: 80%;
        }
    }
}

/** Ratios End **/

.clx-zentrieren {text-align: center;}


/** Background colors Sections **/
.clx-section-white {background-color: #ffffff;}
.clx-section-lightgrey {background-color: #f3f4f5;}
.clx-section-lightblue {background-color: #e2eef6;}
.clx-section-lightcyan {background-color: #e0f3ec;}
.clx-section-lightgreen {background-color: #ebf5df;}
.clx-section-lightyellow {background-color: #fef4d6;}
.clx-section-lightorange {background-color: #feebdd;}
.clx-section-lightred {background-color: #fbe1de;}


/** Colors H1 - H6 **/
.clx-h-grey {color: #535D62;}
.clx-h-blue {color: #3987B9;}
.clx-h-cyan {color: #3EA07B;}
.clx-h-green {color: #75AB37;}
.clx-h-yellow {color: #DDA405;}
.clx-h-orange {color: #EF6F0A;}
.clx-h-red {color: #DB2D19;}



/**
 * ANCHOR CLX Framework – Padding / Margin
 *
 */
.clx-padding-xxsmall {
    padding: var(--clx-distance-xxsmall);
}

.clx-padding-xsmall {
    padding: var(--clx-distance-xsmall);
}

.clx-padding-small {
    padding: var(--clx-distance-small);
}

.clx-padding-medium {
    padding: var(--clx-distance-medium);
}

.clx-padding-large {
    padding: var(--clx-distance-large);
}

.clx-padding-xlarge {
    padding: var(--clx-distance-xlarge);
}

.clx-padding-xxlarge {
    padding: var(--clx-distance-xxlarge);
}

.clx-padding-xxxlarge {
    padding: var(--clx-distance-xxxlarge);
}

.clx-padding-xxsmall-top {
    padding-top: var(--clx-distance-xxsmall);
}

.clx-padding-xsmall-top {
    padding-top: var(--clx-distance-xsmall);
}

.clx-padding-small-top {
    padding-top: var(--clx-distance-small);
}

.clx-padding-medium-top {
    padding-top: var(--clx-distance-medium);
}

.clx-padding-large-top {
    padding-top: var(--clx-distance-large);
}

.clx-padding-xlarge-top {
    padding-top: var(--clx-distance-xlarge);
}

.clx-padding-xxlarge-top {
    padding-top: var(--clx-distance-xxlarge);
}

.clx-padding-xxxlarge-top {
    padding-top: var(--clx-distance-xxxlarge);
}

.clx-padding-xxsmall-bottom {
    padding-bottom: var(--clx-distance-xxsmall);
}

.clx-padding-xsmall-bottom {
    padding-bottom: var(--clx-distance-xsmall);
}

.clx-padding-small-bottom {
    padding-bottom: var(--clx-distance-small);
}

.clx-padding-medium-bottom {
    padding-bottom: var(--clx-distance-medium);
}

.clx-padding-large-bottom {
    padding-bottom: var(--clx-distance-large);
}

.clx-padding-xlarge-bottom {
    padding-bottom: var(--clx-distance-xlarge);
}

.clx-padding-xxlarge-bottom {
    padding-bottom: var(--clx-distance-xxlarge);
}

.clx-padding-xxxlarge-bottom {
    padding-bottom: var(--clx-distance-xxxlarge);
}

.clx-margin-xxsmall-top {
    margin-top: var(--clx-distance-xxsmall);
}

.clx-margin-xsmall-top {
    margin-top: var(--clx-distance-xsmall);
}

.clx-margin-small-top {
    margin-top: var(--clx-distance-small);
}

.clx-margin-medium-top {
    margin-top: var(--clx-distance-medium);
}

.clx-margin-large-top {
    margin-top: var(--clx-distance-large);
}

.clx-margin-xlarge-top {
    margin-top: var(--clx-distance-xlarge);
}

.clx-margin-xxlarge-top {
    margin-top: var(--clx-distance-xxlarge);
}

.clx-margin-xxxlarge-top {
    margin-top: var(--clx-distance-xxxlarge);
}

.clx-margin-xxsmall-bottom {
    margin-bottom: var(--clx-distance-xxsmall);
}

.clx-margin-xsmall-bottom {
    margin-bottom: var(--clx-distance-xsmall);
}

.clx-margin-small-bottom {
    margin-bottom: var(--clx-distance-small);
}

.clx-margin-medium-bottom {
    margin-bottom: var(--clx-distance-medium);
}

.clx-margin-large-bottom {
    margin-bottom: var(--clx-distance-large);
}

.clx-margin-xlarge-bottom {
    margin-bottom: var(--clx-distance-xlarge);
}

.clx-margin-xxlarge-bottom {
    margin-bottom: var(--clx-distance-xxlarge);
}

.clx-margin-xxxlarge-bottom {
    margin-bottom: var(--clx-distance-xxxlarge);
}

/**
 * ANCHOR CLX Framework â€“ Media Queries
 *
 */
@media not print {
    @media (max-width: 960px) {

        /* m */
        .clx-width-1-2\@m,
        .clx-width-1-3\@m,
        .clx-width-2-3\@m,
        .clx-width-1-4\@m,
        .clx-width-3-4\@m {
            width: 100%;
        }

        .clx-width-1-5\@m {
            width: calc(100% / 3);
        }

        .clx-maingrid-1-4\@m {
            grid-template-columns: 1fr 1fr;
        }

        .clx-picture-gallery {
            grid-template-columns: 1fr 1fr 1fr;

            &:has(:nth-child(7))> :nth-child(6) {

                position: relative;

                & img {
                    opacity: 0.4;
                }

                &::after {
                    content: attr(data-count);
                    position: absolute;
                    top: 0;
                    left: 0;
                    padding-bottom: 5%;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    width: 100%;
                    height: 95%;
                    font-size: var(--clx-picture-gallery-font-size);
                    font-weight: var(--clx-picture-gallery-font-weight);
                    line-height: 0.5;
                    color: #ffffff;
                    pointer-events: none;
                }
            }

            &>*:nth-child(n+7) {
                display: none;
            }

            & a::before {
                display: none;
            }
        }

        .clx-img-grid {
            grid-template-columns: 1fr;
        }
    }
}

@media not print {
    @media (max-width: 640px) {

        .clx-container,
        .clx-wrapper-max,
        .clx-wrapper {
            padding-left: 25px;
            padding-right: 25px;
        }

        .clx-flex {
            flex-direction: column;
        }

        /* s */
        .clx-width-1-2\@s,
        .clx-width-1-3\@s,
        .clx-width-2-3\@s,
        .clx-width-1-4\@s,
        .clx-width-3-4\@s,
        .clx-width-3-4\@s,
        .clx-width-1-5\@m {
            width: 100%;
        }

        .clx-maingrid-1-2\@s,
        .clx-maingrid-1-3\@s,
        .clx-maingrid-1-4\@s,
        .clx-maingrid-1-2\@m,
        .clx-maingrid-1-3\@m,
        .clx-maingrid-1-4\@m {
            grid-template-columns: 1fr;
        }


        .clx-table th,
        .clx-table td {
            width: 100%;
            padding: 4px;
            width: 100%;
            float: left;
        }

        .clx-table th:not(:first-child),
        .clx-table td:not(:first-child) {
            padding-left: 4px;
            padding-top: 0;
        }

        .clx-picture-gallery {
            grid-template-columns: 1fr 1fr;
        }

        .clx-child-ratio-20-80,
        .clx-child-ratio-25-75,
        .clx-child-ratio-33-66,
        .clx-child-ratio-40-60,
        .clx-child-ratio-50-50,
        .clx-child-ratio-60-40,
        .clx-child-ratio-66-33,
        .clx-child-ratio-75-25,
        .clx-child-ratio-80-20 {

            &>div:first-child,
            &>div:last-child {
                width: 100%;
            }
        }

        .clx-grid-gap-large {

            &>div:first-child,
            &>div:last-child {
                padding-left: calc(var(--clx-grid-gap) / 2);
                padding-right: calc(var(--clx-grid-gap) / 2);
            }

            &.clx-grid-child-reverse {

                &>div:first-child,
                &>div:last-child {
                    padding-left: calc(var(--clx-grid-gap) / 2);
                    padding-right: calc(var(--clx-grid-gap) / 2);
                }
            }
        }

    }
}

@media print {

    .clx-noprint {
        display: none;
    }

    .clx-container {
        padding-left: 0;
        padding-right: 0;
    }

    .clx-padding-xxsmall-top,
    .clx-padding-xsmall-top,
    .clx-padding-small-top,
    .clx-padding-medium-top,
    .clx-padding-large-top,
    .clx-padding-xlarge-top,
    .clx-padding-xxlarge-top,
    .clx-padding-xxxlarge-top,
    .clx-padding-xxsmall-bottom,
    .clx-padding-xsmall-bottom,
    .clx-padding-small-bottom,
    .clx-padding-medium-bottom,
    .clx-padding-large-bottom,
    .clx-padding-xlarge-bottom,
    .clx-padding-xxlarge-bottom,
    .clx-padding-xxxlarge-bottom {
        padding-top: 0;
        padding-bottom: 20px;
    }

    label {
        font-size: 90% !important;
    }

    ::placeholder {
        color: transparent !important;
    }

}